#
# spec file for package ripit (Version 1.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ripit
Copyright:    Simon Quinn <simon.quinn@bigfoot.com>
Group:        Applications/Multimedia
Provides:     ripit 
Requires:     cdparanoia xmcd
Autoreqprov:  on
Version:      1.8
Release:      114
Summary:      Perlscipt to create mp3 from Audio-CD
Source:       http://www.netcomuk.co.uk/~squinn/ripit-1.8.tar.gz
Patch:        ripit-1.8.dif
Patch1:       ripit_new_cda.diff
BuildRoot:    %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
This Perl script makes it easy to create mp3 files from an audio CD.
It tries to find out the artist and song titles with help from cddb.

Authors:
--------
    Simon Quinn <simon.quinn@bigfoot.com>

SuSE series: snd

%prep
%setup
%patch
%patch1

%build

%install
rm -rf $RPM_BUILD_ROOT
BINDIR=/usr/bin
mkdir -p $RPM_BUILD_ROOT/$BINDIR/
install -m 755 ripit.pl $RPM_BUILD_ROOT/$BINDIR/
ln -s ripit.pl $RPM_BUILD_ROOT/$BINDIR/ripit
chmod a-x README HISTORY

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/ripit
/usr/bin/ripit.pl
%doc README README.SuSE HISTORY

%changelog -n ripit
* Mon Oct 15 2001 - sf@suse.de
- added patch to be able to parse disc ID, genre and interpret
  as xmcd has changed the output of 'cda -toc'
* Wed Apr 04 2001 - poeml@suse.de
- add convenience link ripit -> ripit.pl
- use BuildRoot
- drop %%{suse_check}
* Wed Dec 13 2000 - poeml@suse.de
- updated README.SuSE
- removed executable flag on doc files
* Wed Dec 13 2000 - bjacke@suse.de
- update to 1.8 and fix some security vulnerabilities
* Thu Jun 08 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Fri Apr 14 2000 - dbloms@suse.de
- change the link for bladeenc
* Thu Jan 06 2000 - dbloms@suse.de
- change /usr/bin/cat to /bin/cat
- noarch
* Thu Sep 30 1999 - dbloms@suse.de
- insert a patch from marc@suse.de to set new defaults
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 10 1999 - dbloms@suse.de
- fix bugs
* Mon May 17 1999 - dbloms@suse.de
- create the package
